[21.10 FEAT] openCryptoki ep11 token: protected key support

Bug #1914215 reported by bugproxy
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
High
Skipper Bug Screeners
opencryptoki (Ubuntu)
Fix Released
Undecided
Canonical Foundations Team

Bug Description

Introduce protected key support for openCryptoki ep11 token.
Enhance security on IBM Z platform

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-191042 severity-high targetmilestone-inin2104
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → opencryptoki (Ubuntu)
Revision history for this message
Frank Heimes (fheimes) wrote :

Which is the opencryptoki version that needed for ep11 protected key support?

Changed in ubuntu-z-systems:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
Changed in opencryptoki (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → nobody
Changed in ubuntu-z-systems:
importance: Undecided → High
status: New → Incomplete
Revision history for this message
Frank Heimes (fheimes) wrote :

Is it part of 3.15.1 ?

Steve Langasek (vorlon)
tags: added: fr-1100
summary: - [21.04] openCryptoki ep11 token: protected key support
+ [21.10] openCryptoki ep11 token: protected key support
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2021-02-22 06:16 EDT-------
Feature will not make it for 21.04.
Expected with opencryptoki >=3.16.0

tags: added: targetmilestone-inin2110
removed: targetmilestone-inin2104
Frank Heimes (fheimes)
Changed in opencryptoki (Ubuntu):
status: New → Incomplete
summary: - [21.10] openCryptoki ep11 token: protected key support
+ [21.10 FEAT] openCryptoki ep11 token: protected key support
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-04-29 05:30 EDT-------
Version 3.16 now available here
https://github.com/opencryptoki/opencryptoki/releases

Frank Heimes (fheimes)
Changed in opencryptoki (Ubuntu):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
status: Incomplete → New
Changed in ubuntu-z-systems:
status: Incomplete → Triaged
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-05-18 05:22 EDT-------
Feature available with version 3.16.0

Frank Heimes (fheimes)
Changed in opencryptoki (Ubuntu):
status: New → Fix Released
Changed in ubuntu-z-systems:
status: Triaged → Fix Released
Frank Heimes (fheimes)
information type: Private → Public
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers